﻿.save-sessions {
    min-width: 350px;
    /*max-width: 350px;*/
    background-color: #fff;
    border: 1px solid rgb(230, 230, 230);
    line-height: 16px;
    font-size: 14px;
    overflow: auto;
    border: 0 !important;
    padding-bottom: 10px;
    margin-bottom: 0;
}

.save-sessions__loading {
    padding: 40px;
    text-align: center;
}

.save-sessions__error {
    /*height: 30px;
    padding-top: 10px;
    text-align: center;*/
    padding-top: 10px;
    display: inline-flex;
    line-height: initial;
    vertical-align: middle;
    width: 100%;
}

.save-sessions__error-item {
    color: #ff0000;
    font-size: smaller;
    font-weight: bold;
}

.save-sessions__headerList {
    display: block;
    list-style: none;
    margin: 10px 2px;
    padding: 0;
}

.save-sessions__header {
    display: block;
    font-size: 1em;
    font-weight: bold;
    padding: 0 0 5px 5px;
    line-height: 21px;
    margin-top: -10px;
}

.save-sessions__headerTitle {
    font-size: 0.907em;
}

.save-sessions__divider {
    border-bottom: 0px solid rgba(0, 0, 0, 0.1);
}

.save-sessions__savedContainer {
    display: block;
    width: 100%;
    padding: 5px 10px 0 10px;
    margin-top: 0px;
    border: 1px solid rgba(0, 0, 0, 0.1);
}

.save-sessions__savedTitle {
    margin-top: 5px;
    font-size: 0.85em;
    font-weight: bold;
}

.save-sessions__savedHeader {
    /*background-color: #005293;*/
    padding: 5px;
    position: relative;
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
    color: #ffffff;
    margin: 0;
}

.save-sessions__savedHeader-list {
    display: block;
    list-style: none;
    margin: 0;
    padding: 0;
    margin-top: 5px;
    background-color: #9d9d9d
}

.save-sessions__savedHeader-name {
    min-width: 175px;
    width: 70%;
    margin-right: 10px
}

.save-sessions__savedHeader-actions {
    width: 30%;
    margin-left: 50px;
}

.save-sessions__panel {
    display: inline-block;
    width: 100%;
    padding: 5px 10px;
}

.save-sessions__panel-container {
    margin: 0 0 10px 0;
    border: 1px solid rgba(0, 0, 0, 0.1);
}

.save-sessions__input {
    /*display: block;
    width: 100%;
    box-shadow: none;
    border: 1px solid rgba(110,110,110,0.2);*/
    display: inline-flex;
    width: 72%;
    box-shadow: none;
    border: 1px solid rgba(110,110,110,0.2);
    float: left;
    margin-right: 10px;
}

.save-sessions__input-valid {
    border: 1px solid green;
}

.save-sessions__input-invalid {
    border: 1px solid red;
}

.save-sessions__container {
    padding: 10px 0 0 0;
    display: inline-flex;
    width: 100%;
}

.save-sessions__container-buttons {
    width: 45%;
    margin: 0 10px;
}

.save-sessions__container-button {
    display: block;
    width: 100%;
    /*margin: 0 6em;*/
}

.save-sessions__list {
    display: block;
    list-style: none;
    margin: 0;
    padding: 0;
}

.save-sessions__item {
    padding: 5px;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    position: relative;
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
    margin: 0;
    outline: none;
}

    .save-sessions__item:hover {
        background-color: #f4f4f4;
    }

    .save-sessions__item:first-child {
        border-top: none;
    }

    .save-sessions__item:last-child {
        border-bottom: 0px solid rgba(0, 0, 0, 0.1);
    }

.save-sessions__item-icon {
    margin-right: 5px;
    cursor: pointer;
}

    .save-sessions__item-icon:hover {
        color: #00598E;
        font-weight: bolder;
    }

.save-sessions__item-name {
    flex: 1;
    min-width: 175px;
    margin-right: 10px;
    width: 70%;
}

.save-sessions__item--active,
.save-sessions__item--active:hover,
.save-sessions__item--active:focus {
    color: #333333;
    background-color: #fff;
    cursor: default;
}

    .save-sessions__item--active:after {
        content: "";
        position: absolute;
        height: 2px;
        top: 0;
        background-color: #404040;
        width: 100%;
        z-index: 2;
        animation: looping-progresss-bar-ani 1500ms linear infinite;
    }

.save-sessions--fade-in {
    opacity: 0;
    transition: opacity 375ms ease-out;
}

.save-sessions--fade-in-active {
    opacity: 1;
}

@keyframes looping-progresss-bar-ani {
    0% {
        left: 0%;
        width: 0%;
    }

    20% {
        left: 0%;
        width: 20%;
    }

    80% {
        left: 80%;
        width: 20%;
    }

    100% {
        left: 100%;
        width: 0%;
    }
}

html[dir=rtl] .save-sessions__item--active:after {
    animation: looping-progresss-bar-ani-rtl 1500ms linear infinite;
}

html[dir=rtl] .save-sessions__item-icon {
    margin-right: 0;
    margin-left: 5px;
}

@keyframes looping-progresss-bar-ani-rtl {
    0% {
        right: 0%;
        width: 0%;
    }

    20% {
        right: 0%;
        width: 20%;
    }

    80% {
        right: 80%;
        width: 20%;
    }

    100% {
        right: 100%;
        width: 0%;
    }
}

.save-sessions-btn {
    background-color: #0079c1;
    color: #ffffff;
    border: 1px solid #0079c1;
}

.save-btn {
    width: 25%;
    display: inline-block;
    float: right;
}

.save-sessions-btn:hover {
    background-color: #005e95;
    color: #ffffff;
    border: 1px solid #005e95;
}
